Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452932 - bind can't cope with a failed sdb connection
Summary: bind can't cope with a failed sdb connection
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 01:20 UTC by Zenon Panoussis
Modified: 2013-04-30 23:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-22 13:38:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Zenon Panoussis 2008-06-26 01:20:00 UTC
Description of problem:

The named initscript says "chkconfig: - 13 87". That's earlier than both ldap 
(chkconfig: - 27 73) and mysql (chkconfig: - 64 36). 

I run named_sdb with an ldap backend. When bind starts it tries to connect to 
ldap and, obviously, fails. Instead of either retrying later or else bailing 
out completely and refusing to start, bind starts in a kind of crippled state, 
returning NXDOMAIN to all queries. The only remedy: restart bind when ldap is 
up and running. 

Similar problems occur if ldap is restarted while bind is running; bind doesn't 
reconnect to ldap, or at least not at once, and fails all queries even after 
ldap is back up and running.

Comment 6 Adam Tkac 2009-04-22 13:38:08 UTC
After further inspection named tries to reconnect to LDAP during each query.

If you have problems attach named logs (both when it replies correctly and when it fails) and reopen this bug, please.


Note You need to log in before you can comment on or make changes to this bug.